#### <font color = "MediumSeaGreen">Обновление модемов в полях (stm32)</font>
Не обновляющиеся модемы:  
7334921 10.0.40.137  
7334916 10.0.40.138

- [x] Подготовить тестовую 1.018t для тестирования на стенде (модем S/N: 7314439).
В 1.018t сократить время профилактической перезагрузки до 10-и минут.
Встроить watchdog по задачам. 
- [ ] Подготовить скрипт для мониторинга uptime. Скрипт отслеживает превышение uptime и периодически пишет в файл.
- [ ] Протестировать обновление прошивки для Artery. В эту прошивку включить watchdog по задачам.

ASM
```c
//
int foo(void)
{
    asm(
        "MOV    R8, R8\n"
        "MOV    R8, R8\n"
        "NOP \n"
        "NOP \n"
        "MOVS   R0, #1 \n"
        "BX     LR"
    );
}
```

#### <font color = "MediumSeaGreen">Разное для хака метролога:</font>

```c
// Мигает ораньжевым LED (PE0, PE1)
    RCC->AHB1ENR |= RCC_AHB1Periph_GPIOE;
    GPIOE->MODER = 0x05;
    GPIOE->IDR = 0xB9C0;
    
    while (1)
    {
        for (int i = 0; i < 1000000; i++) {}
    
        GPIOE->ODR ^= GPIO_Pin_0;
        GPIOE->ODR ^= GPIO_Pin_1;
    }
```

#### <font color = "MediumSeaGreen">Тесты отключения 220В:</font>
